SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000966SOGo ConnectorGUIpublic2010-11-10 11:552011-03-09 15:13
Reportermmag 
Assigned Towsourdeau 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.101 
Target VersionFixed in Version3.105 
Summary0000966: Contact pictures synchronisation problem
DescriptionContact pictures are not synchronized backwards to the thunderbird adressbook.

Example 1:
If I add photos to contacts on my iPhone, it is synchronized perfect to my SOGo Webinterface (SOGo 1.3.3). But it is not synchronized to my Thunderbird Clients (Laptop and PC).

Example 2:
If I add photos to contacts on one of my Thunderbird clients (Laptop or PC), it is also synchronized well to my SOGo Webinterface (SOGo 1.3.3) and to my iPhone. But it is not synchronized to the other Thunderbird Client (Laptop and PC).

The log says nothing. All pictures are sized 200 x 200. I also tested 100 x 100 and 150 x 150.

TagsNo tags attached.
Attached Files? file icon vcards.utils.js [^] (36,882 bytes) 2011-02-21 19:29

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0001795)
kristof (reporter)
2010-11-12 23:26

I observed the same behaviour on the 3.103 connector. Judging by the initial announcement https://inverse.ca/sogo/lists/arc/users/2010-07/msg00151.html [^] it sounds as if MoreFunctionsForAddressBook is not required any longer for Thunderbird 3.1 and installing it makes no difference.
(0001894)
cnaumer (reporter)
2010-11-25 04:19

I have the same Problem and found an additional issue. For the user (client) who added the photo it is displayed in TB if I open the Contact an click on the "Photo" tab. In the clients that didn't sync the photo I can see it in the preview window of TB but not if I open the contact and click on the "Photo" tab. The bad thing here is if the user then clicks on "OK" the Photo is deleted for that entry.
(0002134)
br0x (reporter)
2011-02-20 20:25

I have the same problem. I use Sogo to sync with CardDAV server and TB simply does not synchronize contacts with photos. If I add photo to contact in TB it's okay but if I change it somewhere else (e.g. on my phone) the photo is not synced back to TB. The cardDAV server sees the changes correctly.
(0002142)
br0x (reporter)
2011-02-21 19:26
edited on: 2011-02-21 19:30

just a quick fix for all waiting people

I don't know much about vcard, CardDAV and their encodings etc. so the fix is very temporary until Sogo will do it correctly :)

In my case I had problem with photos in JPEG format and now it works. Try this:

Replace the file:

"Your Thunderbird profile folder"\extensions\sogo-connector@inverse.ca\chrome\content\sogo-connector\general\vcards.utils.js

with the one attached above, restart TB and run synchronization again.


It works for me, tested only with JPEG as I use only those.

(0002237)
wsourdeau (viewer)
2011-03-09 15:13

Fixed in 7430c4562e19d51cd1194d2739ba4734d8a21bca

- Issue History
Date Modified Username Field Change
2010-11-10 11:55 mmag New Issue
2010-11-12 23:26 kristof Note Added: 0001795
2010-11-25 04:19 cnaumer Note Added: 0001894
2011-02-20 20:25 br0x Note Added: 0002134
2011-02-21 19:26 br0x Note Added: 0002142
2011-02-21 19:27 br0x Note Edited: 0002142
2011-02-21 19:28 br0x Note Edited: 0002142
2011-02-21 19:29 br0x File Added: vcards.utils.js
2011-02-21 19:30 br0x Note Edited: 0002142
2011-03-09 15:13 wsourdeau Note Added: 0002237
2011-03-09 15:13 wsourdeau Status new => resolved
2011-03-09 15:13 wsourdeau Fixed in Version => 3.105
2011-03-09 15:13 wsourdeau Resolution open => fixed
2011-03-09 15:13 wsourdeau Assigned To => wsourdeau


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker